Bug 382761 - Review Request: python-cerealizer - Secure pickle-like module
Review Request: python-cerealizer - Secure pickle-like module
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 11:17 EST by Tom "spot" Callaway
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-17 11:55:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2007-11-14 11:17:29 EST
Spec URL: http://www.auroralinux.org/people/spot/review/new/python-cerealizer.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/python-cerealizer-0.6-1.fc9.src.rpm
Description: 
Cerealizer is a secure pickle-like module. It support basic types (int, string,
unicode, tuple, list, dict, set,...), old and new-style classes (you need to
register the class for security), object cycles, and it can be extended to
support C-defined type.
Comment 1 Jason Tibbitts 2007-11-16 14:36:41 EST
Builds fine, rpmlint is clean.  Not really much here, honestly.  The only
comment I can make is that there's a test suite, but I can't get it to run in
the context of the build.  I'm sure a python wizard could make it work, but I'm
not one.  Hmm, wait:
  %check
  export PYTHONPATH=$RPM_BUILD_ROOT/%{python_sitelib}
  python test/regtest.py
works great:
  Ran 46 tests in 0.009s
  OK

So I guess you could do that, but no big deal.

* source files match upstream:
   8b654f89d79ee94badef696d88f5a15d859f7c54234d28542bb944b3854aaa29  
   Cerealizer-0.6.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   python-cerealizer = 0.6-1.fc9
  =
   python(abi) = 2.5

? %check is not present, but it could be added.  It runs fine.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Tom "spot" Callaway 2007-11-17 11:55:51 EST
CVS done, builds building. Thanks for the review. :)

Note You need to log in before you can comment on or make changes to this bug.